cif-diff(1)

NAME
cif-diff - A tool to compare two mmCIF files

SYNOPSIS
cif-diff [OPTION] file1 file2

DESCRIPTION
The mmCIF format does not specify the order in which categories or fields should be recorded. Using this tool, you can reorder a second file in the same way as the first before comparing the content making it easier to spot differences.

OPTIONS

--category=arg
    Limit the comparison to this category, default is to show differences in all categories. This option can be specified multiple times.

--max-diff-count=nr
    Display at most nr items per category. Default is 5 items, if you specify zero the number of items will unlimited.

    This option has no effect when the --text option is specified.

--text
    Default is to display the differences in some kind of summary. But if you prefer to use a more graphical diff: this option will use vimdiff to display the differences.

--icase
    Pass the ignore case option to vimdiff.

--iwhite
    Pass the ignore white option to vimdiff.

--verbose,-v
    Be more verbose, useful to diagnose validation errors.

AUTHOR
Written by Maarten L. Hekkelman <maarten@hekkelman.com>

REPORTING BUGS
Report bugs at https://github.com/PDB-REDO/cif-tools/issues

SEE ALSO
cif-grep, cif-merge, cif-validate, cif2pdb, mmCQL, pdb2cif.